Bug 161524 - Bug in the ossec-control script for server and local installs
Summary: Bug in the ossec-control script for server and local installs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Larkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-12 22:50 UTC by Dan Parriott
Modified: 2011-10-18 20:50 UTC (History)
0 users

See Also:


Attachments
file.diff (609 bytes, patch)
2011-10-12 22:50 UTC, Dan Parriott
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Parriott 2011-10-12 22:50:08 UTC
There is a broken path in the ossec-control script. This bug was present in OSSEC's 2.6 release, and was fixed shortly after (no new release has been made though).
It's such a trivial fix there's no reason that I can think of not to include it.

Also in the pkg-message.in file a link to the wiki is included. The wiki may not be up to date, but the documentation is. A better link:
http://www.ossec.net/doc/manual/output/database-output.html

Fix: patch attached to fix the ossec-control issue

Patch attached with submission follows:
How-To-Repeat: Run ossec-control start
Comment 1 Greg Larkin freebsd_committer 2011-10-12 23:01:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

I'll take it.
Comment 2 Dan Parriott 2011-10-13 16:01:33 UTC
Of course I forgot the reason I wanted to open a PR in the first place.
I don't think OSSEC has a requirement of BDB, so that flavor can
probably be removed.
Comment 3 dfilter service freebsd_committer 2011-10-18 20:39:50 UTC
glarkin     2011-10-18 19:39:36 UTC

  FreeBSD ports repository

  Modified files:
    security/ossec-hids-server Makefile 
    security/ossec-hids-server/files pkg-message.in 
  Added files:
    security/ossec-hids-server/files patch-src__InstallServer.sh 
                                     patch-src__LOCATION 
                                     patch-src__headers__defs.h 
                                     patch-src__init__ossec-server.sh 
  Removed files:
    security/ossec-hids-server/files patch-InstallServer.sh 
                                     patch-LOCATION patch-defs.h 
  Log:
  - Fixed broken path in startup control script [1]
  - Fixed a link in pkg-message to point to a more up-to-date doc page [1]
  - Removed unnecessary WITH_BDB knob [1]
  - Reformatted pkg-message
  - Regenerated/renamed patch files with makepatch target
  - Took maintainership
  - Bumped PORTREVISION
  
  PR:             ports/161524 [1]
  Submitted by:   Dan Parriott <ddpbsd@gmail.com> [1]
  
  Revision  Changes    Path
  1.16      +4 -9      ports/security/ossec-hids-server/Makefile
  1.3       +0 -28     ports/security/ossec-hids-server/files/patch-InstallServer.sh (dead)
  1.2       +0 -7      ports/security/ossec-hids-server/files/patch-LOCATION (dead)
  1.2       +0 -12     ports/security/ossec-hids-server/files/patch-defs.h (dead)
  1.1       +28 -0     ports/security/ossec-hids-server/files/patch-src__InstallServer.sh (new)
  1.1       +7 -0      ports/security/ossec-hids-server/files/patch-src__LOCATION (new)
  1.1       +12 -0     ports/security/ossec-hids-server/files/patch-src__headers__defs.h (new)
  1.1       +11 -0     ports/security/ossec-hids-server/files/patch-src__init__ossec-server.sh (new)
  1.4       +13 -12    ports/security/ossec-hids-server/files/pkg-message.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Greg Larkin freebsd_committer 2011-10-18 20:39:54 UTC
State Changed
From-To: open->closed

Committed with some additional changes, thank you!